MKCOLLATE(1)

NAME
mkcollate - create collate information file

SYNOPSIS
mkcollate [ -o output_file_name ] [ filename ]

DESCRIPTION
mkcollate is used to create binary file, describing collate information for setlocale(3). filename is the name of input file. If none given, stdin used.

OPTIONS

-o output_file_name
    Write the output on output_file_name; otherwise, write the output on a file named LC_COLLATE.

INPUT FILE FORMAT
Empty lines and lines beginning with # are ignored. The backslash character, \, is used for continuation. No characters are permitted after it. Three statements are recognized:

codeset codename

    Codename is the name of codeset. This statement is required.

order is order_list

    order_list is a list of symbols, separated by semicolons, that defines the collating sequence. The special symbol, ..., denotes short-hand for range of symbols. For example,

    	order is a;...;z

    would specify the list of lower case letters.

    A symbol can be represented in the following ways:

        •   the symbol itself,

        •   in octal representation (e.g., \101 or 0101 for letter A),

        •   in hexadecimal representation (e.g., \x41 or 0x41 for letter A).

    Symbols enclosed in parenthesis are assigned the same primary ordering but different secondary ordering. Symbols enclosed in curly brackets are assigned only the same primary ordering. For example,

    	order is a;...;z;{1;...;9};A;...;Z

    digits 1 through 9 are assigned the same primary ordering and no secondary.

    If character is not included in the order is statement it is excluded from the ordering.

substitute string with repl

    This statement is optional.

EXAMPLE
codeset	ascii

order is A;a;B;b;C;c;D;d;E;e;F;f;G;g;H;h;I;i;\
	J;j;K;k;L;l;M;m;N;n;O;o;P;p;Q;q;R;r;S;s;\
	T;t;U;u;V;v;W;w;X;x;Y;y;Z;z

substitute "0" with "zero"

LIMITATIONS
Accepts substitute..., check for syntax and ignore it.

BUGS
None are know at the moment. If you find any, feel free to fix.

AUTHOR
Nickolay Saukh - <nms@ussr.EU.net>

ACKNOWLEDGEMENTS
Input language of mkcollate is based on manual pages of SVR4.0.

FILES
/usr/lib/locale/locale/LC_COLLATE - LC_COLLATE database for locale

SEE ALSO
setlocale(3), strcoll(3), strxfrm(3), mkctype(1), mkmonetary(1), mknumeric(1), mkresponse(1), mktime(1)